/******************************************************************************
 * Copyright AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 ******************************************************************************/
var AJ = require('AllJoyn');
var IO = require('IO');
// No need to check
var high = 80.0 ;
// need to notify
var low = 50.0 ;
// Call tempcheck 10000ms interval
var inter = 10 * 1000 ;
//

function tempcheck()
{
    var temp = parseFloat(IO.system('/opt/vc/bin/vcgencmd measure_temp'))

    print("temp =", temp) ;
    if( temp > low && temp < high) {
          print("temp is fine") ;
          AJ.notification(AJ.notification.Warning, "temp is fine").send(100) ;
    } else if(temp <= low) {
          print("temp is low") ;
          AJ.notification(AJ.notification.Emergency, "temp is low").send(100) ;
    } else {
          print("temp is high") ;
          AJ.notification(AJ.notification.Info, "temp is high").send(100) ;
    }
}

setInterval(tempcheck, inter) ;
